Bug 12462 - hal-info incorrectly lists Thinkpad T61
hal-info incorrectly lists Thinkpad T61
Status: RESOLVED FIXED
Product: hal
Classification: Unclassified
Component: hal-info
unspecified
Other All
: medium normal
Assigned To: David Zeuthen (not reading bugmail)
http://lists.freedesktop.org/archives...
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2007-09-17 12:24 UTC by Michel Salim
Modified: 2007-11-15 13:00 UTC (History)
0 users

See Also:


Attachments
Patch to correct identification of Thinkpad T61 (512 bytes, patch)
2007-09-17 12:25 UTC, Michel Salim
Details | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Michel Salim 2007-09-17 12:24:07 UTC
Description of problem:
The above URL identifies a patch submission that has been merged in, and is present in Fedora's hal-info. It is buggy:

- the submitter uses his system.hardware.product string, 766314G, which 
  does not uniquely identify the T61 (mine is 7658CTO)
- furthermore, the patch incorrectly uses 'system.hardware.version' rather than
  'system.hardware.product'

Please find attached a patch that changes the Lenovo quirk file so that it keys
in on system.hardware.product="Thinkpad T61" instead.

Version-Release number of selected component (if applicable):
hal-info-20070725-1.fc8

How reproducible:
Always


Steps to Reproduce:
1. Suspend
2. Resume
  
Actual results:
Backlight not re-enabled

Expected results:
Backlight re-enabled

Additional info:
Comment 1 Michel Salim 2007-09-17 12:25:57 UTC
Created attachment 11605 [details] [review]
Patch to correct identification of Thinkpad T61
Comment 2 Michel Salim 2007-10-10 10:01:05 UTC
My mistake, the specific quirk works only for that particular model of Thinkpad T61.

Please still correct the key -- instead of system.hardware.version it should be system.hardware.product (unless that particular Thinkpad inconsistently uses system.hardware.version? In all other cases, s.h.v contains "Thinkpad Txx", with the different variants being listed under s.h.p instead.
Comment 3 Danny Kukawka 2007-11-15 13:00:02 UTC
already fixed in git master